Current status: [![pipeline status](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/badges/master/pipeline.svg)](https://gitlab.betapsi.tech/prismplex/latex-vorlage-semmelweis/commits/master)
# Latex Vorlage zum Schreiben der Diplom-/Doktorarbeit an der Semmelweis Universität in Budapest
![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/main.png?inline=false "Preview")
## Wichtig: Das Kompilieren muss mit dem Argument "-shell-escape" stattfinden!
Das Argument "-shell-escape" ist in der Webversion von "sharelatex" (neuerdings "overleaf") standardmäßig aktiviert.
Diese Vorlage wurde von Thomas Winkler anhand der [LaTeX-Vorlage für Bachelor, Master und wissenschaftliche Arbeiten](https://github.com/a-czyrny/LaTeX-Master-Vorlage) erstellt.

## Times New Roman
Aufgrund von Lizensierungsgründen konnte nicht die originale "Times New Roman"-Schriftart eingegliedert werden. Diese Projekt benutzt dagegen die Open-Source-Alternative "Liberation Serif".
Um die originale Schriftart einzugliedern, müssen diese vier Dateien im Stammverzeichnis ersetzt werden: `tnr.tff (regular Times New Roman), tnrb.tff (bold Times New Roman), tnrbi.tff (bold italic Times New Roman), tnri.tff (italic Times New Roman)`
Die originale "Times New Roman"-Schriftart wird mit Ausnahme von Linux-basierten Sytemen mit dem Betriebssystem mitgeliefert beziehungsweise ist standarmäßig installiert.
Unter "Mac OS X" findet man diese Dateien unter dem Pfad: `/Library/Fonts/` nach "Times New Roman" sucht.
Unter Windows findet man diese Dateien unter diesem Pfad: `C:\Windows\Fonts`

# Latex template for writing a thesis at Semmelweis university in German
## Important: Compilation must be done with the "-shell-escape" argument!
The "-shell-escape" argument is already activated in the web version of "sharlatex" (recently "overleaf").
This template was made by Thomas Winkler by using code from [LaTeX-Vorlage für Bachelor, Master und wissenschaftliche Arbeiten](https://github.com/a-czyrny/LaTeX-Master-Vorlage).

## Times New Roman
Because auf licencing, the orginal "Times New Roman" font could not be integrated. Instead this project is using the open source alternative "Liberation Serif".
To change to the original "Times New Roman" just replace following file in the root directory:  `tnr.tff (regular Times New Roman), tnrb.tff (bold Times New Roman), tnrbi.tff (bold italic Times New Roman), tnri.tff (italic Times New Roman)`
The original "Times New Roman" font comes with all major operating systems (excluding linux systems, as I know they are using open source alternatives).
To find the font under "Mac OS X" go to `/Library/Fonts/` and search for "Times New Roman". 
Windows uses this directory to store font files: `C:\Windows\Font`


# How to use
## with Texmaker
1. Install MiKTeX

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/miktex.png?inline=false "MiKTeX")

2. Install Texmaker
3. Change the field Bib(la)tex from biblatex to biber

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-1.png?inline=false "Texmaker-1")

4. Change "Quick Build" options to pdflatex + biblatex + 2x pdflatex + view pdf

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-2.png?inline=false "Texmaker-2")

## with sharelatex or overleaf
Just upload the downloaded .zip from here and you are ready to go!